%define version 0.2.2
%define release 2
%define name ipasserelle-groupware

Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Summary: iPasserelle Groupware module
Group: Networking/Daemons
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: e-smith-devtools
Requires: smeserver-release >= 8
Requires: e-smith-ldap >= 5.2.0-19
Requires: sogo >= 1.3.9
Requires: sogo-tool
Requires: sope49-gdl1-mysql
Requires: sogo-ealarms-notify
Requires: ipasserelle-base
Requires: memcached

Obsoletes: smeserver-sogo
Provides: smeserver-sogo

%description
iPasserelle module for the groupware application.
Based on smeserver-sogo from nethesis


%changelog
* Tue Aug 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.2-2
- Requires memcached

* Fri Jun 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.2-1
- Fix 64bits detection

* Mon Jun 18 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.1-1
- 64bits compatibility

* Wed Mar 14 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.0-1.sme
- Migrate to git

* Wed Feb 15 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-16.sme
- Purge old (default to 24h) sessions from database
- Use a unix socket to connect to memcached

* Tue Feb 14 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-15.sme
- Fix sogo-ealarm-notify path in cron job

* Fri Nov 18 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-14.sme
- Adjust number of prefork (1 for 15 users, 3 workers minimum)
- Enable sieve if available (smeserver-dovecot is needed for this)
- Change display name of LDAP address books
- Reorder configuration directives
- Split templates in separated files
- Requires sogo-tool
- Remove default forward mechanism as attached (go back to inline)
- Backup with sogo-tool
- Don't force access using $SystemName.$DomainName
- Set default charset to UTF8
- Remove Priority column

* Tue Nov 01 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-13.sme
- Compatibility with SOGo 1.3.9

* Fri Oct 07 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-12.sme
- Also apply the filter to group addressbook

* Thu Sep 01 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-11.sme
- Change SOGo spool path to /var/spool/sogo

* Mon Jun 20 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-10.sme
- FR locale corrections

* Thu Jun 09 2011 Daniel B. <daniel@firewall-services.com> - 0.1-9.sme
- Access restriction based on group membership
- Small panel to configure SOGo
- Replace SOGo logo with iPasserelle one on the login page

* Thu Apr 07 2011 Daniel B. <daniel@firewall-services.com> - 0.1-8.sme
- Templates /etc/sysconfig/sogo and default prefork to 5

* Fri Mar 25 2011 Daniel B. <daniel@firewall-services.com> - 0.1-7.sme
- Fix RewriteRules for SSL vhosts

* Fri Mar 25 2011 Daniel B. <daniel@firewall-services.com> - 0.1-6.sme
- RewriteRule to $SystemName.$DomainName

* Wed Mar 23 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Allow custom WebServerRessources folder

* Wed Mar 16 2011 Daniel B. <daniel@firewall-services.com> - 0.1-4.sme
- Rewrite /sogo to /SOGo (using a rewriterule)

* Wed Mar 16 2011 Daniel B. <daniel@firewall-services.com> - 0.1-3.sme
- Fix week number (first week of year)

* Mon Mar 14 2011 Daniel B. <daniel@firewall-services.com> - 0.1-2.sme
- Re-add x-webobjects-server-url (needed for images)

* Fri Feb 4 2011 Daniel B. <daniel@firewall-services.com> - 0.1-1.sme
- Fork from smeserver-sogo-0.5.3
- Add OCSSessionsFolderURL (compatibility with sogo-1.3.5)
- Add support for Apple CardDav
- Remove sogo-modify event (use email-update instead)
- Don't redirect to https://systemname.domainname/SOGo
- Prop to enable email alarms
- Prop to enable public access
- Prop to enable aux accounts
- Default to check messages every 10 min
- First day of week is monday
- Change default fwd mode to attached


%prep
%setup -q

%build
%{__mkdir_p} root/var/log/memcached-sogo
perl ./createlinks

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist

(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)

%{__mkdir_p} $RPM_BUILD_ROOT/home/e-smith/db/sogo

/sbin/e-smith/genfilelist \
    --dir /home/sogo 'attr(0700,sogo,sogo)' \
    --dir /home/sogo/GNUstep 'attr(0755,sogo,sogo)' \
    --dir /home/sogo/GNUstep/Defaults 'attr(0755,sogo,sogo)' \
    --dir /home/e-smith/db/sogo 'attr(0700, sogo, sogo)' \
    --file /var/service/memcached-sogo/run 'attr(0755, root, root)' \
    --file /var/service/memcached-sogo/log/run 'attr(0755, root, root)' \
    --dir /var/log/memcached-sogo 'attr(0700, sogo, sogo)' \
    --file /etc/cron.hourly/sogo-sessions 'attr(0755, root, root)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

